Bug 467440 - comps-rhel[45]-rhnsat53.xml lack entries for SatConfig-* packages
comps-rhel[45]-rhnsat53.xml lack entries for SatConfig-* packages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Release (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Milan Zazrivec
:
Depends On:
Blocks: 463877
  Show dependency treegraph
 
Reported: 2008-10-17 10:27 EDT by Milan Zazrivec
Modified: 2009-09-10 14:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2008-10-17 10:27:45 EDT
Comps files for Satellite lack following SatConfig-* entries:
* SatConfig-bootstrap
* SatConfig-bootstrap-server
* SatConfig-dbsynch
* SatConfig-general
* SatConfig-generator
* SatConfig-installer
* SatConfig-spread

Consequences of this are:
1) Unresolved dependencies in Satellite 5.3.0 composes
2) Dysfunctional monitoring

All of the mentioned packages are already built in brew
(satellite-[45]E-5.3-candidate tags).
Comment 1 Dennis Gilmore 2008-10-18 22:42:25 EDT
Where is the master list of packages?
Comment 2 Dennis Gilmore 2008-10-18 22:45:17 EDT
[dgilmore@athosian comps]$ cvs diff -u                 
cvs diff: Diffing .                                    
Index: comps-rhel4-rhnsat53.xml                        
===================================================================
RCS file: /cvs/devel/comps/comps-rhel4-rhnsat53.xml,v              
retrieving revision 1.11                                           
diff -u -r1.11 comps-rhel4-rhnsat53.xml                            
--- comps-rhel4-rhnsat53.xml    19 Oct 2008 02:40:23 -0000      1.11
+++ comps-rhel4-rhnsat53.xml    19 Oct 2008 02:44:44 -0000          
@@ -263,6 +263,13 @@
        <packagereq type="default">jakarta-commons-configuration</packagereq>
        <packagereq type="default">rhn-solaris-bootstrap</packagereq>
        <packagereq type="default">rhn_solaris_bootstrap_5_2_0_2</packagereq>
+       <packagereq type="default">SatConfig-bootstrap</packagereq>
+       <packagereq type="default">SatConfig-bootstrap-server</packagereq>
+       <packagereq type="default">SatConfig-dbsynch</packagereq>
+       <packagereq type="default">SatConfig-general</packagereq>
+       <packagereq type="default">SatConfig-generator</packagereq>
+       <packagereq type="default">SatConfig-installer</packagereq>
+       <packagereq type="default">SatConfig-spread</packagereq>
     </packagelist>
   </group>
 </comps>
Index: comps-rhel5-rhnsat53.xml
===================================================================
RCS file: /cvs/devel/comps/comps-rhel5-rhnsat53.xml,v
retrieving revision 1.11
diff -u -r1.11 comps-rhel5-rhnsat53.xml
--- comps-rhel5-rhnsat53.xml    19 Oct 2008 02:40:23 -0000      1.11
+++ comps-rhel5-rhnsat53.xml    19 Oct 2008 02:44:44 -0000
@@ -201,6 +201,13 @@
        <packagereq type="default">jakarta-commons-configuration</packagereq>
        <packagereq type="default">rhn-solaris-bootstrap</packagereq>
        <packagereq type="default">rhn_solaris_bootstrap_5_2_0_2</packagereq>
+       <packagereq type="default">SatConfig-bootstrap</packagereq>
+       <packagereq type="default">SatConfig-bootstrap-server</packagereq>
+       <packagereq type="default">SatConfig-dbsynch</packagereq>
+       <packagereq type="default">SatConfig-general</packagereq>
+       <packagereq type="default">SatConfig-generator</packagereq>
+       <packagereq type="default">SatConfig-installer</packagereq>
+       <packagereq type="default">SatConfig-spread</packagereq>
     </packagelist>
   </group>
 </comps>
cvs diff: Diffing 6.2
cvs diff: Diffing po
Comment 3 Milan Zazrivec 2008-10-19 05:20:03 EDT
(In reply to comment #1)
> Where is the master list of packages?

Things were different prior to Satellite 5.2.0 (i.e. no brew; different build
system, tools and procedures; no RHEL5 - based composes).

I probably would not say this is a master list of packages, but comps files
for satellite 5.2.0 make a good statement about what is Satellite composed
of and what the differences between RHEL4 and RHEL5 - based Satellite is.

It's a fact that many of the packages were either renamed or removed for
Satellite 5.3.0 and that without any communication it's rather difficult
for rel-eng to keep up with these changes.
Comment 4 Milan Zazrivec 2008-10-22 06:00:28 EDT
I'm confirming that all required SatConfig packages are now present
in satellite 5.3.0 comps files and that all of these packages made it
into recent Satellite 5.3.0 composes:

SatConfig-bootstrap
SatConfig-dbsynch
SatConfig-generator
SatConfig-installer
SatConfig-spread
SatConfig-bootstrap-server
SatConfig-cluster
SatConfig-general
Comment 5 Jan Pazdziora 2009-08-19 10:22:09 EDT
[root@xen5 ~]# rpm -qa | grep SatConfig
SatConfig-bootstrap-server-1.13.3-1.el5sat.noarch
SatConfig-cluster-1.54.4-3.el5sat.noarch
SatConfig-installer-3.24.4-4.el5sat.noarch
SatConfig-generator-2.29.11-1.el5sat.noarch
SatConfig-spread-1.1.2-2.el5sat.noarch
SatConfig-general-1.216.8-4.el5sat.noarch
SatConfig-dbsynch-1.3.1-2.el5sat.noarch
SatConfig-bootstrap-1.11.2-2.el5sat.noarch
[root@xen5 ~]# 

So presumably the packages were put into comps and they made it to the Satellite compose, and thus installation.

Moving to RELEASE_PENDING.
Comment 6 Brandon Perkins 2009-09-10 14:49:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.